Bug 575963 - [abrt] crash in guake-0.4.1-2.fc12: prefs.py:438:load_configs:TypeError: GtkFontButton.set_font_name() argument 1 must be string, not None
Summary: [abrt] crash in guake-0.4.1-2.fc12: prefs.py:438:load_configs:TypeError: GtkF...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: guake
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pierre-YvesChibon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1391903d
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-22 20:09 UTC by Spencer Tom Tafadzwa Chirume
Modified: 2010-05-19 19:19 UTC (History)
2 users (show)

Fixed In Version: guake-0.4.1-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-19 19:08:58 UTC


Attachments (Terms of Use)
File: backtrace (755 bytes, text/plain)
2010-03-22 20:09 UTC, Spencer Tom Tafadzwa Chirume
no flags Details

Description Spencer Tom Tafadzwa Chirume 2010-03-22 20:09:28 UTC
abrt 1.0.8 detected a crash.

architecture: i686
cmdline: guake-prefs -OO /usr/lib/guake/prefs.py
component: guake
executable: /usr/lib/guake/prefs.py
kernel: 2.6.32.9-70.fc12.i686.PAE
package: guake-0.4.1-2.fc12
reason: prefs.py:438:load_configs:TypeError: GtkFontButton.set_font_name() argument 1 must be string, not None
release: Fedora release 12 (Constantine)

backtrace
-----
prefs.py:438:load_configs:TypeError: GtkFontButton.set_font_name() argument 1 must be string, not None

Traceback (most recent call last):
  File "/usr/lib/guake/prefs.py", line 649, in <module>
    setup_standalone_signals(PrefsDialog()).show()
  File "/usr/lib/guake/prefs.py", line 288, in __init__
    self.load_configs()
  File "/usr/lib/guake/prefs.py", line 438, in load_configs
    self.get_widget('font_style').set_font_name(value)
TypeError: GtkFontButton.set_font_name() argument 1 must be string, not None

Local variables in innermost frame:
i: <gtk.TreeModelRow object at 0x89dab80>
self: PrefsDialog(path="/usr/share/guake/prefs.glade", root="config_window")
value: None
combo: <gtk.ComboBox object at 0x89d97d4 (GtkComboBox at 0x8a2d800)>

How to reproduce
-----
1. Starting guake-prefs gets me a showstopping bug...

Comment 1 Spencer Tom Tafadzwa Chirume 2010-03-22 20:09:31 UTC
Created attachment 401861 [details]
File: backtrace

Comment 2 Pierre-YvesChibon 2010-03-24 08:43:09 UTC
Does it happen all the time or did it happen just the first time after installing guake ?

Comment 3 Spencer Tom Tafadzwa Chirume 2010-03-26 22:49:01 UTC

How to reproduce
-----
1. Launche Gauke


Comment
-----
Program does not start, after attempting to start it - a crash is the result.

Comment 4 Spencer Tom Tafadzwa Chirume 2010-04-05 15:33:27 UTC
The bug appears on fresh installations(of fc and gauke)all the time on first attempts to run gauke. A Installation of Fedora Alpha and on a x86_64 bit platform produced the same bug.

Comment 5 Guillaume AMAT 2010-04-15 22:45:56 UTC
Package: guake-0.4.1-2.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Install Guake
2. Try to launch the guake-prefs command


Comment
-----
I installed Guake using Package Kit and the guake command give me a window with an error message

Comment 6 Fedora Update System 2010-05-07 22:44:37 UTC
guake-0.4.1-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc12

Comment 7 Fedora Update System 2010-05-07 22:45:00 UTC
guake-0.4.1-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc13

Comment 8 Fedora Update System 2010-05-07 22:45:21 UTC
guake-0.4.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc11

Comment 9 Fedora Update System 2010-05-08 13:47:23 UTC
guake-0.4.1-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/guake-0.4.1-4.fc13

Comment 10 Fedora Update System 2010-05-08 16:09:14 UTC
guake-0.4.1-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update guake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/guake-0.4.1-4.fc13

Comment 11 Fedora Update System 2010-05-10 16:57:04 UTC
guake-0.4.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update guake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc11

Comment 12 Fedora Update System 2010-05-10 17:09:26 UTC
guake-0.4.1-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update guake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/guake-0.4.1-3.fc12

Comment 13 Fedora Update System 2010-05-19 19:08:34 UTC
guake-0.4.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-19 19:10:25 UTC
guake-0.4.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2010-05-19 19:19:24 UTC
guake-0.4.1-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.